<script setup lang="ts">
import ReceiptImportDialogDetails from './ReceiptImportDialogDetails.vue'

import { useMaterialStore } from '@/stores/material'

const materialStore = useMaterialStore()

function showDetail(id: number) {
  materialStore.showDetail(id)
}
</script>
<template>
  <v-row justify="center">
    <v-dialog v-model="materialStore.historyDialog" persistent width="1000px" height="1000px">
      <v-card>
        <v-card-title class="text-h5 text-center"> Check Stock </v-card-title>
        <v-card-text>
          <v-form ref="refForm">
            <v-table fixed-header height="550px" style="overflow: auto">
              <thead>
                <tr>
                  <th class="text-center">Date</th>
                  <th class="text-center">Id</th>
                  <th class="text-center">Price</th>
                  <th class="text-center">Change</th>
                  <th class="text-center">Payment Type</th>
                  <th class="text-center">Details</th>
                </tr>
              </thead>
              <tbody>
                <tr v-for="item of materialStore.historyReceiptStock" :key="item.id">
                  <td class="text-center">{{ item.createdDateString }}</td>
                  <td class="text-center">{{ item.id }}</td>
                  <td class="text-center">{{ item.total }}</td>
                  <td class="text-center">{{ item.change }}</td>
                  <td class="text-center">{{ item.paymentType }}</td>
                  <td class="text-center">
                    <v-icon size="small" class="me-2" @click="showDetail(item.id)">mdi-eye</v-icon>
                  </td>
                </tr>
              </tbody>
            </v-table>
          </v-form>
        </v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <div>
            <v-spacer></v-spacer>
            <v-btn color="green-darken-1" variant="text" @click="materialStore.historyDialog = false">
              Close
            </v-btn>
          </div>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-row>
  <ReceiptImportDialogDetails />
</template>
